import 'package:at_client/at_client.dart';
import 'package:at_utils/at_logger.dart';

import 'test_util.dart';

void main() async {
  AtSignLogger.root_level = 'finer';
  final atSign = '@sitaram';
  var atClientManager = await AtClientManager.getInstance()
      .setCurrentAtSign(atSign, 'wavi', TestUtil.getSitaramPreference());
  final atClient = atClientManager.atClient;
  // phone.me@alice🛠
  //for (int i = 0; i < 100; i++) {
  var phoneKey = AtKey()
    ..key = 'key1'
    ..sharedWith = '@murali'
    ..sharedBy = '@sitaram';
  //..metadata = (Metadata()..ttr = 10000);
  var value = 'value1';

  var result = await atClient.put(phoneKey, value);
  print(result);
  await Future.delayed(Duration(seconds: 2));
  AtClientManager.getInstance().syncService.sync();
  //}
  // public:phone.me@alice🛠
  // var metadata = Metadata()..isPublic = true;
  // var publicPhoneKey = AtKey()
  //   ..key = 'phone'
  //   ..metadata = metadata;
  // var publicPhoneValue = '+1 100 200 302';
  // var updatePublicPhoneResult =
  //     await atClient.put(publicPhoneKey, publicPhoneValue);
  // print(updatePublicPhoneResult);
}
