import 'package:at_client/at_client.dart';
import 'test_util.dart';

void main() async {
  final atsign = '@murali';
  final preference = TestUtil.getMuraliPreference();
  var atClientManager = await AtClientManager.getInstance()
      .setCurrentAtSign(atsign, 'wavi', preference);
  var atClient = atClientManager.atClient;
  //llookup:phone.me@alice🛠
  var atKey = AtKey()..key = 'phone2';
  var alicePhone = await atClient.get(atKey);
  print(alicePhone.value);
}
